# Your Power Future

## Core Upgrade Notes

- [YPF Core Upgrade 2.2.17.8 -> 2.3.40.2 Ticket](https://enigma-interactive.atlassian.net/browse/NGEDSME-526)
- [YPF Core Upgrade 2.2.17.8 -> 2.3.40.2 Docs](https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/34082425/WPD+Core+Upgrade+-+Your+Power+Future+-+2.2.17.8+-+2.3.40.2)
- [Core Releases](https://enigma-interactive.atlassian.net/projects/PF?selectedItem=com.atlassian.jira.jira-projects-plugin%3Arelease-page&status=released-unreleased)
- [YPF Cookie Banner Ticket](https://enigma-interactive.atlassian.net/browse/NGEDSME-527)

## Scratch Notes

- First thing is to upgrade the core version and then get the site working, everything else comes after the site is live.
- This makes me pray for a real play documentation site.
- Removed the unused deps and updated the rest to 2.4
- I think we needed to do: core configure to hard set some values.
- Need to do `core configure -c 2.4 -j Zulu-21 -p 1.7.1` and update .core_options to 2.4
- play_pdf module seems to have still been using log4j 1 not 2, updating a few methods using: https://logging.apache.org/log4j/2.x/migrate-from-log4j1.html fixed it.
- Commented out WPDFastTags.java from setting display type as it's deprecated, will need to find the right fix for 
- W00002Generator.java needed different sting utils
- JargonBuster needs WPDUtils
- Might have a look at building each module individually to get the right dependencies in, once theyre all fine, the site should work ?
- Core assetsL AssetAttributeSupport was not visible for the rest of the application, those 3 files were moved over
- The above is the main issue, seems to be happening from CoreEvent also?
- Issue woith JargonBuster was coming from utils.WPDUtils vs import wpd.utils.CoreHelper
- java.lang.NullPointerException: Cannot invoke "org.eclipse.jdt.internal.compiler.lookup.TypeBinding.leafComponentType()" because "binding" is null
	- Is this saing that something is missing?
	- That is exactly what it is saying, using core precompile is the way forward

## Issue List
- play_pdf module cannot build due to log4j logger being unavailable.
- style module cannot build due to WPDFastTags not being able to see displayType from CoreForm
